Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class MethodTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable
oracle.rules.sdk.editor.datamodel.MethodTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class MethodTable
extends ModelComponentTable

A list of public methods

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`m_dm, m_mark, m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MethodTable(DataModel dm)`

Method Summary
`Method` | `getMethod(int index)` get a method by index
`Method` | `getMethod(java.lang.String id)` get a method by id
`java.lang.Object` | `removeByID(java.lang.String name)` Method Table inherits ModelComponentTable, so It is required to implement the method.

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`getParent, mark, removeMarked`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### MethodTable

    public MethodTable(DataModel dm)

Method Detail

### getMethod

    public Method getMethod(int index)

  get a method by index
  Parameters:
    `index` - the index of the method list
  Returns:
    The method in the position

### getMethod

    public Method getMethod(java.lang.String id)

  get a method by id
  Parameters:
    `id` - the id of the method requested
  Returns:
    The method matching the id

### removeByID

    public java.lang.Object removeByID(java.lang.String name)
                                throws DeleteException

  Method Table inherits ModelComponentTable, so It is required to implement the method. Caller of this method will get a DeleteException with message: A method can not be deleted.
  Specified by:
    `removeByID` in class `ModelComponentTable`
  Parameters:
    `name` - the id of the model component to be removed
  Returns:
    The model component being removed. Null if no model component is removed.
  Throws:
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.